summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2012-09-27 14:07:22 +0000
committer Eric Hameleers <alien@slackware.com>2012-09-27 14:07:22 +0000
commitad2e538584c222ca014ce056f0f12b7b1fc3856e (patch)
tree46173417e8aaf88325fed594810e030e2f1bf636
parent3ea4c1987a87186fcba32861878337dbe31430f5 (diff)
downloadasb-ad2e538584c222ca014ce056f0f12b7b1fc3856e.tar.gz
asb-ad2e538584c222ca014ce056f0f12b7b1fc3856e.tar.xz
Ready for Slackware 13.37 and 14
-rwxr-xr-xrecordmydesktop/build/recordmydesktop.SlackBuild67
1 files changed, 37 insertions, 30 deletions
diff --git a/recordmydesktop/build/recordmydesktop.SlackBuild b/recordmydesktop/build/recordmydesktop.SlackBuild
index 417c1999..9bf2cafa 100755
--- a/recordmydesktop/build/recordmydesktop.SlackBuild
+++ b/recordmydesktop/build/recordmydesktop.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
# $Id$
-# Copyright (c) 2008 Eric Hameleers <alien@slackware.com>
+# Copyright 2008, 2009, 2012 Eric Hameleers, Eindhoven, NL
# All rights reserved.
#
# Permission to use, copy, modify, and distribute this software for
@@ -34,6 +34,8 @@
# * Initial build.
# 0.3.8.1-2: 13/may/2009 by Eric Hameleers <alien@slackware.com>
# * Rebuilt for python 2.6.2.
+# 0.3.8.1-3: 27/sep/2012 by Eric Hameleers <alien@slackware.com>
+# * Rebuilt for Slackware 13.37 and 14.0.
#
# Run 'sh recordmydesktop.SlackBuild --cleanup' to build a Slackware package.
# The package (.tgz) and .txt file as well as build logs are created in /tmp .
@@ -47,7 +49,7 @@ PRGNAM=recordmydesktop
VERSION=${VERSION:-0.3.8.1}
QTVER=${QTVER:-0.3.8}
ARCH=${ARCH:-x86_64}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-3}
NUMJOBS=${NUMJOBS:" -j4 "}
DOCS="AUTHORS COPYING README ChangeLog"
@@ -82,18 +84,20 @@ case "$ARCH" in
i486) SLKCFLAGS="-O2 -march=i486 -mtune=i686"
SLKLDFLAGS=""; LIBDIRSUFFIX=""
;;
- s390) SLKCFLAGS="-O2"
- SLKLDFLAGS=""; LIBDIRSUFFIX=""
- ;;
- powerpc) SLKCFLAGS="-O2"
- SLKLDFLAGS=""; LIBDIRSUFFIX=""
- ;;
x86_64) SLKCFLAGS="-O2 -fPIC"
SLKLDFLAGS="-L/usr/lib64"; LIBDIRSUFFIX="64"
;;
- athlon-xp) SLKCFLAGS="-march=athlon-xp -O3 -pipe -fomit-frame-pointer"
+ armv7hl) SLKCFLAGS="-O2 -march=armv7-a -mfpu=vfpv3-d16"
SLKLDFLAGS=""; LIBDIRSUFFIX=""
;;
+ *) SLKCFLAGS=${SLKCFLAGS:-"O2"}
+ SLKLDFLAGS=${SLKLDFLAGS:-""}; LIBDIRSUFFIX=${LIBDIRSUFFIX:-""}
+ ;;
+esac
+
+case "ARCH" in
+ arm*) TARGET=$ARCH-slackware-linux-gnueabi ;;
+ *) TARGET=$ARCH-slackware-linux ;;
esac
# Create working directories:
@@ -108,19 +112,20 @@ rm -rf $OUTPUT/{configure,make,install,error,makepkg}-$PRGNAM.log
# Source file availability:
for (( i = 0; i < ${#SOURCE[*]}; i++ )) ; do
if ! [ -f ${SOURCE[$i]} ]; then
+ echo "Source '$(basename ${SOURCE[$i]})' not available yet..."
+ # Check if the $SRCDIR is writable at all - if not, download to $OUTPUT
+ [ -w "$SRCDIR" ] || SOURCE[$i]="$OUTPUT/$(basename ${SOURCE[$i]})"
+ if [ -f ${SOURCE[$i]} ]; then echo "Ah, found it!"; continue; fi
if ! [ "x${SRCURL[$i]}" == "x" ]; then
- # Check if the $SRCDIR is writable at all - if not, download to $OUTPUT
- [ -w "$SRCDIR" ] || SOURCE[$i]="$OUTPUT/$(basename ${SOURCE[$i]})"
- echo "Source '$(basename ${SOURCE[$i]})' not available yet..."
echo "Will download file to $(dirname $SOURCE[$i])"
wget -nv -T 20 -O "${SOURCE[$i]}" "${SRCURL[$i]}" || true
if [ $? -ne 0 -o ! -s "${SOURCE[$i]}" ]; then
- echo "Downloading '$(basename ${SOURCE[$i]})' failed.. aborting the build."
+ echo "Fail to download '$(basename ${SOURCE[$i]})'. Aborting the build."
mv -f "${SOURCE[$i]}" "${SOURCE[$i]}".FAIL
exit 1
fi
else
- echo "File '$(basename ${SOURCE[$i]})' not available.. aborting the build."
+ echo "File '$(basename ${SOURCE[$i]})' not available. Aborting the build."
exit 1
fi
fi
@@ -140,7 +145,7 @@ echo "++"
cd $TMP/tmp-$PRGNAM
echo "Extracting the source archive(s) for $PRGNAM..."
for (( i = 0; i < ${#SOURCE[*]}; i++ )) ; do
-tar -xvf ${SOURCE[$i]}
+ tar -xvf ${SOURCE[$i]}
done
chown -R root:root *
chmod -R u+w,go+r-w,a-s *
@@ -159,15 +164,10 @@ cd ${PRGNAM}-${VERSION}
--mandir=/usr/man \
--program-prefix= \
--program-suffix= \
- --build=$ARCH-slackware-linux \
+ --build=$TARGET \
2>&1 | tee $OUTPUT/configure-${PRGNAM}.log
make 2>&1 | tee $OUTPUT/make-${PRGNAM}.log
-
- if $(which installwatch > /dev/null 2>&1); then
- installwatch -o $OUTPUT/install-${PRGNAM}.log make DESTDIR=$PKG install
- else
- make DESTDIR=$PKG install 2>&1 |tee $OUTPUT/install-${PRGNAM}.log
- fi
+ make DESTDIR=$PKG install 2>&1 |tee $OUTPUT/install-${PRGNAM}.log
cd ..
# Next, the QT4 GUI program:
@@ -182,15 +182,10 @@ cd qt-${PRGNAM}-${QTVER}
--mandir=/usr/man \
--program-prefix= \
--program-suffix= \
- --build=$ARCH-slackware-linux \
+ --build=$TARGET \
2>&1 | tee $OUTPUT/configure-qt-${PRGNAM}.log
make 2>&1 | tee $OUTPUT/make-qt-${PRGNAM}.log
-
- if $(which installwatch > /dev/null 2>&1); then
- installwatch -o $OUTPUT/install-${PRGNAM}.log make DESTDIR=$PKG install
- else
- make DESTDIR=$PKG install 2>&1 |tee $OUTPUT/install-${PRGNAM}.log
- fi
+ make DESTDIR=$PKG install 2>&1 |tee $OUTPUT/install-${PRGNAM}.log
cd ..
# Add this to the doinst.sh:
@@ -198,7 +193,19 @@ cd ..
cat <<EOT >> $PKG/install/doinst.sh
# Update the desktop database:
if [ -x usr/bin/update-desktop-database ]; then
- chroot . /usr/bin/update-desktop-database /usr/share/applications > /dev/null 2>&1
+ chroot . /usr/bin/update-desktop-database usr/share/applications > /dev/null 2>&1
+fi
+
+# Update hicolor theme cache:
+if [ -d usr/share/icons/hicolor ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ chroot . /usr/bin/gtk-update-icon-cache -f -t usr/share/icons/hicolor 1> /dev/null 2> /dev/null
+ fi
+fi
+
+# Update the mime database:
+if [ -x usr/bin/update-mime-database ]; then
+ chroot . /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
fi
EOT